namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 课程场景(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_CourseSceneController : BaseController<IGhre_CourseSceneServices, Ghre_CourseScene, Ghre_CourseSceneDto, InsertGhre_CourseSceneInput, EditGhre_CourseSceneInput>
{
    public Ghre_CourseSceneController(IGhre_CourseSceneServices service) : base(service)
    {
    }

    /// <summary>
    /// 统计
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    [HttpPost("QueryStatistic/{id}")]
    public async Task<dynamic> QueryStatistic(long id)
    {
        return await _service.QueryStatistic(id);
    }
}